# Chapter 10 Multiple Regression No Intercept
# The data was extracted from the 1974 Motor Trend US magazine
# and includes fuel consumption and 10 aspects of automobile design 
# and performance for 32 automobiles (1973–74 models)


# Multiple Regression No Intercept

attach(mtcars)
mtcars

# Use scale function to compute z scores

mpg.sc = scale(mpg)
hp.sc = scale(hp)
wt.sc = scale(wt)

# Print mean = 0 and standard deviation = 1

round(mean(mpg.sc),2); sd (mpg.sc)
round(mean(hp.sc),2); sd (hp.sc)
round(mean(wt.sc),2); sd (wt.sc)

# Pearson correlation matrix with standardized variables

mydata1 = data.frame(mpg.sc, hp.sc, wt.sc)
mydata.cor1 = cor(mydata1, method = c("pearson"))
mydata.cor1

# Multiple regression - z score variables - no intercept

options (scipen = 999)
out2 = lm(mpg.sc ~ 0 + hp.sc + wt.sc, data = mydata1)
summary (out2)


# Compute predicted values using regression estimates and
# Plot regression results for predicted vs. actual values

predmpg.sc = -.3615*hp.sc -.6296*wt.sc

plot (predmpg.sc,mpg.sc)
abline(a=0,b=1)


