# Chapter 11 Path Analysis
# lavaan

install.packages ("lavaan")
library(lavaan)

lower = '
665.294
90.692 106.073
108.030 34.932 53.328
-88.368 -17.372 -20.530 33.409'

SA.cov = getCov(lower, names = c("SA","TS","SH","TH"))

SA.model = 'SA ~ C*SH + D*TH 
              SH ~ A*TS  
              TH ~ B*TS
              SH ~~ TH
              AC := A*C
              BD := B*D
              total := A*C + B*D'

fit = sem(SA.model, sample.cov = SA.cov, sample.nobs = 220)
summary(fit, fit.measures = TRUE, rsquare = TRUE)

# This command creates path model diagram - not the most useful
semPaths(fit)
