# Chapter 12 Fisher and Gordon Meta-Analysis Comparison
# Fisher = log(pvals)
# Gordon = -2*log(pvals)
# pvals = .05, .01, .04

options(scripen=9999)   # stops scientific notation
n = 3                   # of studies
pval1 = .05
pval2 = .01
pval3 = .04
total1 = sum(pval1+pval2+pval3)/3
total1 = round(total1,digits=2)
p = c(pval1, pval2, pval3, total1)

# Fisher Method

p1 = log(pval1)
p2 = log(pval2)
p3 = log(pval3)
total2 = sum(p1 + p2 + p3)
Fisher = c(p1,p2,p3,total2)

# Gordon et.al Method 

chisqval1 = -2*sum(log(pval1))
chisqval2 = -2*sum(log(pval2))
chisqval3 = -2*sum(log(pval3))
total3 = sum(chisqval1 + chisqval2 + chisqval3)
Gordon = c(chisqval1, chisqval2,chisqval3,total3)

# Table Values

result = data.frame(p, Fisher, Gordon)
print(result)

