# Chapter 12 Meta Analysis r and d effect

# Input statistics

t = 2.00
F = 4.21
C = 9.488
r = .295
N = c(62,30,100,61)
df = c(60,27,4,60)
pvals = c(.025,.05,.05,.01)

chap12 = function(t,F,C,r,N,df,pvals) {

options(scripen = 999)  # stops scientific notation
n = length(pvals)
values = c(t,F,C,r)
type = c("t","F","Chisq","r")

 test1 = function(t) { rValues = c(sqrt(t^2/(t^2+df[1]))) }
 test2 = function(F) { rValues = c(sqrt(F/(F+df[2])))     }
 test3 = function(C) { rValues = c(sqrt(C/N[3]))          }
 test4 = function(r) { rValues = c(r)                     }

a = test1(t); b = test2(F); c = test3(C); d = test4(r)

rValues = round(c(a,b,c,d),digits=3)
dValues = round((2*rValues)/sqrt(1-rValues^2),digits=3)
wValues = round((2*N)/(8+dValues^2),digits=3)
rEffect = round(sum(rValues)/n,digits=3)
dEffect = round(sum(dValues)/n,digits=3)
dUnbiased = round(sum(wValues*dValues)/sum(wValues),digits=3)
samplebias = round(dEffect - dUnbiased, digits=3)

out = matrix(c(type,values,N,df,pvals,rValues,dValues,wValues),nrow=4,ncol=8, dimnames = list(c("","","",""),c("Type","Statistic","N","df","p","r","d","w")))

# Output

cat("\n","PROGRAM OUTPUT","\n")
cat("\n")
print(out,quote=FALSE)
cat("\n")
cat("\n", "Effect size(r) = ",rEffect," Effect size(d) = ",dEffect,"\n")
cat("\n", "Unbiased effect size(d) = ",dUnbiased,"\n")
cat("\n", "Sample Size bias = ",samplebias,"\n")

}
chap12(t,F,C,r,N,df,pvals)
  
