# Factorial Analysis of Variance
# Read Data

data = c(3,2,4,2,1,5,1,2,1,3,4,3,3,4,3,4,3,4,3,6,6,5,4,7,5,5,5,6,4,7)
groups = rep(c("Control","15 mg","30 mg"),c(10,10,10))
gender = rep(c("male","female"),c(5,5))

Y = data.frame(data,groups,gender)
names(Y) = c("recall","group","gender")
Y

# Factor Analysis of Variance

options(scipen=999) # removes scientific notation

groups = factor(groups)  # independent variable category variable
gender = factor(gender)  # independent variable category variable

out = aov(data ~ groups * gender, data = Y)
summary(out)
print(model.tables(out,"means"),digits = 3)

