# Chapter 9 Linear Regression No Intercept
# Data

Y = c(90,85,80,75,90,80,85,70,75,70)
X = c(5,4,3,2,3,2,5,1,3,2)

# compute z scores for Y and X

zy = (Y - mean(Y))/ sd(Y)
zx = (X - mean(X)) / sd(X)

mean(zy);sd(zy)
mean(zx);sd(zx)

cor(zx,zy)

options(scipen=999)
out = lm(zy ~ 0 + zx, data = mydata)
summary(out)

# compute predicted values

zhat = cor(zx,zy) * zx
zhat

# compute residual error values

e = zy - zhat
e

# Plot regression line

plot (zx,zy, ylim = c(0,1.5),xlim = c(0,1.5))
abline (a = 0, b = .78)




